# Class yii\twig\ViewRendererStaticClassProxy

Inheritance | yii\twig\ViewRendererStaticClassProxy
Source Code | https://github.com/yiisoft/yii2-twig/blob/master/ViewRendererStaticClassProxy.php

Class-proxy for static classes Needed because you can't pass static class to Twig other way

## Public Methods

Hide inherited methods

Method | Description | Defined By
--- | --- | ---
__call() |  | yii\twig\ViewRendererStaticClassProxy
__construct() |  | yii\twig\ViewRendererStaticClassProxy
__get() |  | yii\twig\ViewRendererStaticClassProxy
__isset() |  | yii\twig\ViewRendererStaticClassProxy
__set() |  | yii\twig\ViewRendererStaticClassProxy

## Method Details

__call() public method

public mixed __call ( $method, $arguments )
$method | string |
$arguments | array |

__construct() public method

public void __construct ( $staticClassName )
$staticClassName | string |

__get() public method

public mixed __get ( $property )
$property | string |

__isset() public method

public boolean __isset ( $property )
$property | string |

__set() public method

public mixed __set ( $property, $value )
$property | string |
$value | mixed |